# Uses of Class
org.apache.avro.idl.IdlParser.JsonPairContext

## Uses of IdlParser.JsonPairContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.JsonPairContext
Modifier and Type
Field
Description
`IdlParser.JsonPairContext`
IdlParser.JsonObjectContext.`jsonPair`
Fields in org.apache.avro.idl with type parameters of type IdlParser.JsonPairContext
Modifier and Type
Field
Description
`List<IdlParser.JsonPairContext>`
IdlParser.JsonObjectContext.`jsonPairs`
Methods in org.apache.avro.idl that return IdlParser.JsonPairContext
Modifier and Type
Method
Description
`IdlParser.JsonPairContext`
IdlParser.JsonObjectContext.`jsonPair(int i)`
`final IdlParser.JsonPairContext`
IdlParser.`jsonPair()`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.JsonPairContext
Modifier and Type
Method
Description
`List<IdlParser.JsonPairContext>`
IdlParser.JsonObjectContext.`jsonPair()`
Methods in org.apache.avro.idl with parameters of type IdlParser.JsonPairContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterJsonPair(IdlParser.JsonPairContext ctx)`
Enter a parse tree produced by `IdlParser.jsonPair()`.
`void`
IdlListener.`enterJsonPair(IdlParser.JsonPairContext ctx)`
Enter a parse tree produced by `IdlParser.jsonPair()`.
`void`
IdlBaseListener.`exitJsonPair(IdlParser.JsonPairContext ctx)`
Exit a parse tree produced by `IdlParser.jsonPair()`.
`void`
IdlListener.`exitJsonPair(IdlParser.JsonPairContext ctx)`
Exit a parse tree produced by `IdlParser.jsonPair()`.